Search stations (v1)
Find station codes by city or station name, with state and coordinates. A city also returns an all-stations entry. A query nothing matches returns empty results.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
query*string
A city or station name, such as bangalore or new delhi, or a station code such as NDLS.
Length
2 <= length <= 100curl -X GET "https://example.com/v1/indianrail/stations/search?query=bangalore" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "query": "bangalore", "count": 0, "results": [ { "code": "SBC", "name": "Ksr Bengaluru", "city": "Bengaluru", "state": "Karnataka", "is_city_group": true, "latitude": 12.97759, "longitude": 77.56827 } ] }, "details": { "reason": "string", "message": "string" }}